Competitor Tracker & Co. Docs

List the current organization's coin transactions, newest first.

List the current organization's coin transactions, newest first — Competitor Tracker & Co. API reference for GET /v1/billing/transactions: request parameters.

Required role: member or higher (organization-level).

Required scope: billing:read (for both OAuth2 tokens and API keys).

GET
/v1/billing/transactions

Authorization

X-API-Key<token>

In: header

Query Parameters

cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 200

Response Body

application/json

application/json

curl -X GET "https://api.competitortracker.io/v1/billing/transactions"
{
  "items": [
    {
      "id": "string",
      "delta": 0,
      "balanceAfter": 0,
      "reason": "signup_bonus",
      "createdAt": "string",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "competitorName": "string",
      "chargeKind": "first"
    }
  ],
  "nextCursor": "string"
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}